Bug 1563692 - Linux kernel untar failed with "xz: (stdin): Read error: Invalid argument" immediate after add-brick
Summary: Linux kernel untar failed with "xz: (stdin): Read error: Invalid argument" im...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Susant Kumar Palai
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1566207
TreeView+ depends on / blocked
 
Reported: 2018-04-04 13:17 UTC by Prasad Desala
Modified: 2018-09-17 07:31 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1566207 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:45:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:46:54 UTC

Description Prasad Desala 2018-04-04 13:17:45 UTC
Description of problem:
=======================
Linux kernel untar failed with "xz: (stdin): Read error: Invalid argument" immediate after add-brick

linux-4.4.36/arch/arm/boot/dts/imx28-cfa10058.dts
linux-4.4.36/arch/arm/boot/dts/imx28-duckbill.dts
xz: (stdin): Read error: Invalid argument
linux-4.4.36/arch/arm/boot/dts/imx28-eukrea-mbmx283lc.dts
linux-4.4.36/arch/arm/boot/dts/imx28-eukrea-mbmx287lc.dts
linux-4.4.36/arch/arm/boot/dts/imx28-eukrea-mbmx28lc.dtsi
linux-4.4.36/arch/arm/boot/dts/imx28-evk.dts
linux-4.4.36/arch/arm/boot/dts/imx28-m28.dtsi
linux-4.4.36/arch/arm/boot/dts/imx28-m28cu3.dts
linux-4.4.36/arch/arm/boot/dts/imx28-m28evk.dts
linux-4.4.36/arch/arm/boot/dts/imx28-pinfunc.h
linux-4.4.36/arch/arm/boot/dts/imx28-sps1.dts
linux-4.4.36/arch/arm/boot/dts/imx28-tx28.dts
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

Version-Release number of selected component (if applicable):
3.12.2-5.9.git2be2ed1.el7rhgs.x86_64

How reproducible:
=================
2/2

Steps to Reproduce:
===================
1) create a x3 volume and start it.
2) FUSE mount on multiple clients (here used 2 servers as clients out of 4).
3) from one client start linux-4.4.36.tar.xz untar and from another client start  sending "ls -lRt" in a loop.
4) Now add bricks to the volume.

Actual results:
===============
Linux kernel untar failed with "xz: (stdin): Read error: Invalid argument" 

Expected results:
=================
Untar should not fail during add-brick

Comment 7 Susant Kumar Palai 2018-04-10 03:32:58 UTC
A git bisect lead me to the following patch [1] where the tar started to fail. 
Need some more investigation to fix this. Will update as and when I get some lead.

- Susant

[1] https://review.gluster.org/#/c/19673/

Comment 12 Prasad Desala 2018-04-24 11:39:00 UTC
Verified this BZ on glusterfs version 3.12.2-8.el7rhgs.x86_64. Linux kernel untar is continuing without any errors immediate after add-brick operation.

Moving this BZ to Verified.

Comment 14 errata-xmlrpc 2018-09-04 06:45:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.